Bug 199350 - Yumex crash report - yumexmain.py:893:_runBackground:AttributeError:
Yumex crash report - yumexmain.py:893:_runBackground:AttributeError:
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-07-18 21:43 EDT by James Burke
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 04:10:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Burke 2006-07-18 21:43:37 EDT
Description of problem:
Crash after selecting one repository entry from the 'repo' section. 

Version-Release number of selected component (if applicable):
v0.99.16 i386 

rpm -qi yumex

How reproducible:

Steps to Reproduce:
1. Click on left pane of buttons to choose 'Repos'
2. On rtpane, choose one repository after deselecting all
3. Click the Refresh button(rtpane)
Actual results:
crash report embedded, this didn't happen before

Component: yumex
Version: 0.99.16
Summary: TB401f0859 yumexmain.py:893:_runBackground:AttributeError:
YumexMainApplication instance has no attribute 'backgroundThread'

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 905, in ?
    mainApp = YumexMainApplication()
  File "/usr/share/yumex/yumexmain.py", line 471, in __init__
  File "/usr/share/yumex/yumexmain.py", line 854, in setup_yum
    if self._runBackground( self.yumexbase.load_repo_data, rload ):
  File "/usr/share/yumex/yumexmain.py", line 893, in _runBackground
    while self.backgroundThread.isAlive():
AttributeError: YumexMainApplication instance has no attribute 'backgroundThread'

Local variables in innermost frame:
runfunc: <bound method yumexBase.load_repo_data of <yumex.yumexBase.yumexBase
object at 0xb79e86cc>>
args: (False,)
self: <__main__.YumexMainApplication instance at 0xb79dc2ac>

Comment 1 Tim Lauridsen 2006-07-19 02:21:17 EDT
Try update to the latest stable release 1.0.2.

Note You need to log in before you can comment on or make changes to this bug.